# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.21

# This file contains all the rules used to get the outputs files
# built from the input files.
# It is included in the main 'build.ninja'.

# =============================================================================
# Project: weatherslave
# Configurations: esp32dev
# =============================================================================
# =============================================================================

#############################################
# Rule for running custom commands.

rule CUSTOM_COMMAND
  command = $COMMAND
  description = $DESC


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__Z_DUMMY_TARGET_esp32dev
  depfile = $DEP_FILE
  deps = gcc
  command = C:\Users\xin\.platformio\packages\toolchain-xtensa\bin\xtensa-lx106-elf-g++.exe $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX executable.

rule CXX_EXECUTABLE_LINKER__Z_DUMMY_TARGET_esp32dev
  command = cmd.exe /C "$PRE_LINK && C:\Users\xin\.platformio\packages\toolchain-xtensa\bin\xtensa-lx106-elf-g++.exe $FLAGS $LINK_FLAGS $in -o $TARGET_FILE $LINK_PATH $LINK_LIBRARIES && $POST_BUILD"
  description = Linking CXX executable $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for re-running cmake.

rule RERUN_CMAKE
  command = "C:\Program Files\JetBrains\CLion 2021.1.1\bin\cmake\win\bin\cmake.exe" --regenerate-during-build -SD:\03MyGit\arduino\esp32mainboard\weatherslave -BD:\03MyGit\arduino\esp32mainboard\weatherslave\cmake-build-esp32dev
  description = Re-running CMake...
  generator = 1


#############################################
# Rule for cleaning all built files.

rule CLEAN
  command = "C:\Program Files\JetBrains\CLion 2021.1.1\bin\ninja\win\ninja.exe" $FILE_ARG -t clean $TARGETS
  description = Cleaning all built files...


#############################################
# Rule for printing all primary targets available.

rule HELP
  command = "C:\Program Files\JetBrains\CLion 2021.1.1\bin\ninja\win\ninja.exe" -t targets
  description = All primary targets available:

